petsc-3.10.5 2019-03-28
Report Typos and Errors

# MatSeqSBAIJSetColumnIndices

Set the column indices for all the rows in the matrix.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatSeqSBAIJSetColumnIndices(Mat mat,PetscInt *indices)

### Input Parameters

+ mat - the SeqSBAIJ matrix - indices - the column indices

### Notes

This can be called if you have precomputed the nonzero structure of the matrix and want to provide it to the matrix object to improve the performance of the MatSetValues() operation.

You MUST have set the correct numbers of nonzeros per row in the call to MatCreateSeqSBAIJ(), and the columns indices MUST be sorted.

MUST be called before any calls to MatSetValues()

.seealso: MatCreateSeqSBAIJ

### Level

advanced

### Location

src/mat/impls/sbaij/seq/sbaij.c

### Implementations

MatSeqSBAIJSetColumnIndices_SeqSBAIJ in src/mat/impls/sbaij/seq/sbaij.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages